import "../../chunks/chunk-U5RRZUYZ.js";

// src/backend/router/RemixHandler.ts
import { Response as RemixResponse } from "@remix-run/node";
function remixHandler(handler) {
  return async ({ request }) => {
    const result = await handler(request);
    if (result)
      return new RemixResponse(result.body, result);
    return new RemixResponse("Not found", { status: 404 });
  };
}
export {
  remixHandler
};
