import { BuildOptions } from 'esbuild';
export type ServeOptions = {
    cwd?: string;
    staticDir?: string;
    configFile?: string;
    port?: number;
    buildOptions?: BuildOptions;
    alineaDev?: boolean;
    production?: boolean;
    onAfterGenerate?: (env?: Record<string, string>) => void;
};
export declare function serve(options: ServeOptions): Promise<void>;
