import { metadata } from 'alinea/field/metadata';
import { PathField } from 'alinea/field/path';
import { TextField } from 'alinea/field/text';
import { Type, TypeDefinition, TypeFields, TypeOptions } from './Type.js';
type Document<Definition> = {
    title: TextField;
    path: PathField;
    metadata: ReturnType<typeof metadata>;
} & Definition;
export declare function document<Definition extends TypeFields>(label: string, definition: TypeOptions<Definition>): Type<Document<Definition>>;
/** @deprecated See https://github.com/alineacms/alinea/issues/373 */
export declare function document<Definition extends TypeDefinition>(label: string, definition: Definition): Type<Document<Definition>>;
export {};
