import { Database } from 'alinea/backend';
import PLazy from 'p-lazy';
import { CMS } from '../CMS.js';
import { Config } from '../Config.js';
import { Connection } from '../Connection.js';
import { Resolver } from '../Resolver.js';
export declare class DefaultDriver extends CMS {
    apiKey: string | undefined;
    db: PLazy<Database>;
    cloudHandler: PLazy<import("alinea/backend").Handler>;
    resolver(): Promise<Resolver>;
    connection(): Promise<Connection>;
}
export declare function createCMS<Definition extends Config>(config: Definition): Definition & CMS;
