import { Database, Handler } from 'alinea/backend';
import { CMS } from '../CMS.js';
import { Config } from '../Config.js';
import { Connection } from '../Connection.js';
export interface TestApi extends CMS {
    db: Promise<Database>;
    handler: Promise<Handler>;
    connection(): Promise<Connection>;
}
export declare function createTestCMS<Definition extends Config>(config: Definition): Definition & TestApi & CMS;
