import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/media/MediaRoot.browser.tsx
import { MediaExplorer } from "alinea/dashboard/view/MediaExplorer";
import { IcRoundPermMedia } from "alinea/ui/icons/IcRoundPermMedia";
import { root } from "../Root.js";
import {
  createMediaRoot as createMediaRootConfig
} from "./MediaRoot.js";
function createMediaRoot(children = {}) {
  return root("Media", {
    icon: IcRoundPermMedia,
    contains: ["MediaLibrary"],
    view: MediaExplorer,
    isMediaRoot: true,
    entries: {
      ...createMediaRootConfig(children)
    }
  });
}
export {
  createMediaRoot
};
