import * as config from './MediaTypes.js';
export declare function fileSummarySelect(): {
    entryId: import("../pages/Expr.js").Expr<string>;
    i18nId: import("../pages/Expr.js").Expr<string>;
    type: import("../pages/Expr.js").Expr<string>;
    workspace: import("../pages/Expr.js").Expr<string>;
    root: import("../pages/Expr.js").Expr<string>;
    title: import("../pages/Expr.js").Expr<string>;
    extension: import("../../field/hidden.js").HiddenField<string>;
    size: import("../../field/hidden.js").HiddenField<number>;
    preview: import("../../field/hidden.js").HiddenField<string>;
    thumbHash: import("../../field/hidden.js").HiddenField<string>;
    averageColor: import("../../field/hidden.js").HiddenField<string>;
    focus: import("../../field/hidden.js").HiddenField<{
        x: number;
        y: number;
    }>;
    width: import("../../field/hidden.js").HiddenField<number>;
    height: import("../../field/hidden.js").HiddenField<number>;
    parents: import("../pages/Cursor.js").Cursor.Find<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
};
export type MediaLibrary = config.MediaLibrary;
export declare const MediaLibrary: typeof config.MediaLibrary;
export type MediaFile = config.MediaFile;
export declare const MediaFile: typeof config.MediaFile;
