import { RichTextField } from 'alinea/core/field/RichTextField';
import { Schema } from 'alinea/core/Schema';
import { richText as createRichText, RichTextOptions } from './RichTextField.js';
export * from './RichTextField.js';
export declare const richText: typeof createRichText;
export interface RichTextInputProps<Blocks extends Schema> {
    field: RichTextField<Blocks, RichTextOptions<Blocks>>;
}
export declare function RichTextInput<Blocks extends Schema>({ field }: RichTextInputProps<Blocks>): import("react/jsx-runtime").JSX.Element;
