import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/richtext/RichTextField.tsx
import { Schema } from "alinea/core/Schema";
import { RichTextField } from "alinea/core/field/RichTextField";
import { richTextHint } from "alinea/core/util/Hints";
function richText(label, options = {}) {
  const shapes = options.schema && Schema.shapes(options.schema);
  return new RichTextField(shapes, {
    hint: richTextHint(options.schema),
    options: { label, ...options }
  });
}
export {
  richText
};
