import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/select/SelectField.tsx
import { Hint } from "alinea/core/Hint";
import { ScalarField } from "alinea/core/field/ScalarField";
var SelectField = class extends ScalarField {
};
function select(label, itemsOrOptions, options) {
  const items = itemsOrOptions.options ?? itemsOrOptions;
  const fieldOptions = itemsOrOptions.options ? itemsOrOptions : options;
  const keys = Object.keys(items);
  return new SelectField({
    hint: Hint.Union(keys.map((key) => Hint.Literal(key))),
    options: {
      label,
      options: items,
      ...fieldOptions
    }
  });
}
export {
  SelectField,
  select
};
