import { HTMLProps, ReactNode, Ref } from 'react';
export interface MainProps extends HTMLProps<HTMLDivElement> {
    head?: ReactNode;
    scrollRef?: Ref<HTMLDivElement>;
    scrollable?: boolean;
    isLoading?: boolean;
}
export declare const Main: import("react").ForwardRefExoticComponent<Omit<MainProps, "ref"> & import("react").RefAttributes<HTMLDivElement>> & {
    Container: import("./util/PropsWithAs.js").ComponentWithAs<unknown, "div">;
};
