import {
  connect
} from "../chunks/chunk-LMUDRU2U.js";
import "../chunks/chunk-FLZ4KUMA.js";
import "../chunks/chunk-4JLFL6LD.js";
import "../chunks/chunk-U5RRZUYZ.js";

// src/backend/Store.ts
async function createStore(data) {
  const { default: sqlInit } = await import("@alinea/sqlite-wasm");
  const { Database } = await sqlInit();
  const cnx = connect(new Database(data));
  return cnx.toAsync();
}
export {
  createStore
};
