import { Database } from 'alinea/backend';
import { CMS } from 'alinea/core/CMS';
import { LocalData } from './generate/LocalData.js';
export interface GenerateOptions {
    cwd?: string;
    staticDir?: string;
    configFile?: string;
    watch?: boolean;
    fix?: boolean;
    wasmCache?: boolean;
    quiet?: boolean;
    onAfterGenerate?: (env?: Record<string, string>) => void;
    dashboardUrl?: Promise<string>;
}
export declare function generate(options: GenerateOptions): AsyncGenerator<{
    cms: CMS;
    db: Database;
    localData: LocalData;
}, void>;
