import "../chunks/chunk-U5RRZUYZ.js";

// src/core/Connection.ts
var Connection;
((Connection2) => {
  const base = "/hub";
  Connection2.routes = {
    base,
    resolve() {
      return base + `/resolve`;
    },
    mutate() {
      return base + `/mutate`;
    },
    revisions() {
      return base + `/revisions`;
    },
    sync() {
      return base + `/sync`;
    },
    draft() {
      return base + `/draft`;
    },
    media() {
      return base + `/media`;
    },
    prepareUpload() {
      return base + `/upload`;
    },
    files(location) {
      return base + `/files${location ? "/" + location : ""}`;
    },
    previewToken() {
      return base + `/preview-token`;
    }
  };
})(Connection || (Connection = {}));
export {
  Connection
};
