import "../../chunks/chunk-U5RRZUYZ.js";

// src/core/util/Async.ts
async function accumulate(gen) {
  const acc = [];
  for await (const item of gen)
    acc.push(item);
  return acc;
}
async function* toGenerator(iterable) {
  for (const item of iterable)
    yield item;
}
export {
  accumulate,
  toGenerator
};
