import { Projection } from 'alinea/core/pages/Projection';
export declare function entrySummaryQuery(): {
    entryId: import("../../../core/pages/Expr.js").Expr<string>;
    i18nId: import("../../../core/pages/Expr.js").Expr<string>;
    type: import("../../../core/pages/Expr.js").Expr<string>;
    workspace: import("../../../core/pages/Expr.js").Expr<string>;
    root: import("../../../core/pages/Expr.js").Expr<string>;
    title: import("../../../core/pages/Expr.js").Expr<string>;
    parents({ parents }: import("../../../core/pages/Cursor.js").Tree): import("../../../core/pages/Cursor.js").Cursor.Find<{
        entryId: string;
        i18nId: string;
        title: string;
    }>;
    childrenAmount({ children }: import("../../../core/pages/Cursor.js").Tree): import("../../../core/pages/Cursor.js").Cursor<number>;
};
export declare const EntrySummaryRow: import("alinea/core/View").View<unknown, {
    entryId: string;
    i18nId: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    parents: {
        entryId: string;
        i18nId: string;
        title: string;
    }[];
    childrenAmount: number;
}, Projection>;
export declare const EntrySummaryThumb: import("alinea/core/View").View<unknown, {
    entryId: string;
    i18nId: string;
    type: string;
    workspace: string;
    root: string;
    title: string;
    parents: {
        entryId: string;
        i18nId: string;
        title: string;
    }[];
    childrenAmount: number;
}, Projection>;
