import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/metadata/MetadataField.browser.tsx
import { Field } from "alinea/core";
import { FormRow } from "alinea/dashboard/atoms/FormAtoms";
import { InputForm } from "alinea/dashboard/editor/InputForm";
import { useFieldOptions } from "alinea/dashboard/editor/UseField";
import { metadata as createMetadata } from "./MetadataField.js";
export * from "./MetadataField.js";
import { jsx } from "react/jsx-runtime";
var metadata = Field.provideView(MetadataInput, createMetadata);
function MetadataInput({ field }) {
  const options = useFieldOptions(field);
  return /* @__PURE__ */ jsx(FormRow, { type: options.fields, field, children: /* @__PURE__ */ jsx(InputForm, { type: options.fields, border: false }) });
}
export {
  metadata
};
