import "../../chunks/chunk-U5RRZUYZ.js";

// src/field/object/ObjectField.tsx
import { Type, type } from "alinea/core/Type";
import { RecordField } from "alinea/core/field/RecordField";
var ObjectField = class extends RecordField {
};
function object(label, options) {
  const fields = Type.isType(options.fields) ? options.fields : type({ fields: options.fields });
  return new ObjectField(Type.shape(fields), {
    hint: Type.hint(fields),
    options: { label, ...options, fields }
  });
}
export {
  ObjectField,
  object
};
