/// <reference types="react" />
export declare const Typo: (({ children, align }: import("react").PropsWithChildren<{
    align?: "center" | "left" | "right" | undefined;
}>) => import("react/jsx-runtime").JSX.Element) & {
    H1: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "h1">;
    H2: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "h2">;
    H3: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "h3">;
    H4: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "h4">;
    H5: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "h5">;
    P: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "p">;
    Link: import("react").ForwardRefExoticComponent<Omit<import("react").HTMLProps<HTMLAnchorElement>, "ref"> & import("react").RefAttributes<HTMLAnchorElement>>;
    link: import("./util/Styler.js").Styler | (import("./util/Styler.js").Styler & {
        [key: string]: import("./util/Styler.js").Styler & any;
    });
    Monospace: import("./util/PropsWithAs").ComponentWithAs<{}, "span">;
    Small: import("./util/PropsWithAs").ComponentWithAs<{
        flat?: boolean | undefined;
        light?: boolean | undefined;
    }, "small">;
};
